<?php
/*--------------------------------------------+
| GameStatusViewer     V 1.1.2   2008-01-12   |
|---------------------------------------------|
| author: Makro (Markus Kronier)              |
| Copyright  2005                            |
| web: http://www.makromobil.de               |
| email: makro@makromobil.de                  |
|---------------------------------------------|
| Released under the terms and conditions of  |
| the GNU General Public License (Version 2)  |
+--------------------------------------------*/

class CGame_Viewer {
  var $m_game;

  //--- Default Settings
  function CGame_Viewer($game) {
    $this->m_game = $game;
  }

  function Get_GameInfo() {
    $gameInfo = "<table width=\"100%\"><tr><td><table width=\"100%\">";
    foreach ($this->m_game->gameData as $info => $infoData) {
      //--- Display Gamedata
      $gameInfo .= "<tr><td class='tbl2'>".$info."</td><td class='tbl1'>".$infoData."</td></tr>";
    }

    //--- Statusimages
    if (is_array($this->m_game->gameStatusImage)) {
      $gameInfo .= "<tr><td class='tbl2'>"."Settings"."</td><td class='tbl1'>";
      foreach ($this->m_game->gameStatusImage as $statusImg) {
        $statusMap = $this->m_game->gameImagePath.$statusImg.".gif";
        if (file_exists($statusMap)) {
          $gameInfo .="<img align=\"left\" src=\"".$statusMap."\" alt=\"".$statusImg."\" />";
        }
      }
      $gameInfo .= "</td></tr>";
    }
    //$gameInfo .= "<tr><td class='tbl2'>"."</td><td class='tbl1'>".$infoData."</td></tr>";

    $gameInfo .= "</table></td>";

        //--- display Mappicture
        $gameMap = $this->m_game->gameImagePath.$this->m_game->gameImage.".jpg";
        if (!file_exists($gameMap)) {
      $gameMap= $this->m_game->gameImagePath."default.jpg";
      if (!file_exists($gameMap)) $gameMap = '';
        }
    if ($gameMap) {
      $gameInfo .="<td><img src=\"".$gameMap."\" /><br>Map ".$this->m_game->gameImage."</td>";
        }

    $gameInfo .= "</tr></table>\n";
    return $gameInfo;
  }

  function Get_PlayerInfo() {
    if (sizeof($this->m_game->playerData) > 0) {
      $playerInfo = "<table width=\"100%\">";
      $player = $this->m_game->playerData[0];

      //--- Columnheader
      $playerInfo .= "<tr>";
      foreach ($player as $attr=>$data) {
        $playerInfo .= "<td class='tbl2'>".$attr."</td>\n";
      }
      $playerInfo .= "</tr>";

      foreach ($this->m_game->playerData as $player) {
        $playerInfo .= "<tr>";
        foreach ($player as $attr => $data) {
          $playerInfo .= "<td class='tbl1'>".$data."</td>\n";
        }
        $playerInfo .= "</tr>";
      }
      $playerInfo .= "</table>";
    }
    return $playerInfo;
  }
  function Get_GameServerInfo() {
    $gameServerInfo = $this->m_game->ReadServerData();  //--- Error Message if fails
    if (!$gameServerInfo) {
      $gameServerInfo  = $this->Get_GameInfo();
      $gameServerInfo .= $this->Get_PlayerInfo();
    }
    $gameServerInfo .= "<br>Gameserver Viewer  2005 <a href=\"mailto:makro@makromobil.de\">Makro</a>";
    return $gameServerInfo;
  }
}
?>