<?php
/*--------------------------------------------+
| Gamestats Viewer Infusion for               |
| PHP-Fusion 6 Content Management System      |
| Copyright  2002 - 2005 Nick Jones          |
| http://www.php-fusion.co.uk/                |
+---------------------------------------------+
| Gamestate Viewer Infusion                   |
| author: Makro (Markus Kronier)
| Copyright  2005                            |
| web: http://www.makromobil.de              |
| email: makro@makromobil.de                  |
|---------------------------------------------|
| Released under the terms and conditions of  |
| the GNU General Public License (Version 2)  |
+--------------------------------------------*/

require_once "../../maincore.php";
require_once BASEDIR."subheader.php";
require_once BASEDIR."side_left.php";

if (!FUSION_QUERY || !gamestate_id) fallback("../../index.php");

// Check if locale file is available matching the current locale setting.
if (file_exists(INFUSIONS."gamestate_panel/locale/".$settings['locale'].".php")) {
  // Load the locale file matching the current site locale setting.
  include INFUSIONS."gamestate_panel/locale/".$settings['locale'].".php";
} else {
  // Load the infusion's default locale file.
  include INFUSIONS."gamestate_panel/locale/English.php";
}

//--- GameViewer
require_once "CGame_Viewer.php";

$data = dbarray(dbquery("SELECT * FROM ".$db_prefix."gamestate WHERE gamestate_id='$gamestate_id'"));
$server_ip  = $data['server_ip'];
$query_port = $data['query_port'];
$game_type  = $data['game_type'];

//--- Create Game
switch ($game_type) {
  case "AAO":   //--- Americas Army 2.4
    if (file_exists(INFUSIONS."gamestate_panel/CGame_AAO.php")) {
      require_once "CGame_AAO.php";
      $game = new CGame_AAO($server_ip,$query_port);
    }
    break;
  case "ARMA":  //--- Armed Assault
    require_once "CGame_ARMA.php";
    $game = new CGame_ARMA($server_ip,$query_port);
    break;
  case "BFV":  //--- Battlefield Vietnam
    require_once "CGame_BFV.php";
    $game = new CGame_BFV($server_ip,$query_port);
    break;
  case "BF2":  //--- Battlefield 2
    require_once "CGame_BF2.php";
    $game = new CGame_BF2($server_ip,$query_port);
    break;
  case "CoD":  //--- Call of Duty
    require_once "CGame_CoD.php";
    $game = new CGame_CoD($server_ip,$query_port);
    break;
  case "CoD2":  //--- Call of Duty 2
    require_once "CGame_CoD2.php";
    $game = new CGame_CoD2($server_ip,$query_port);
    break;
  case "CoD4":  //--- Call of Duty 4 Modern Warfare
    require_once "CGame_CoD4.php";
    $game = new CGame_CoD4($server_ip,$query_port);
    break;
  case "CS":  //--- Counter-Strike Source
    require_once "CGame_CS.php";
    $game = new CGame_CS($server_ip,$query_port);
    break;
  case "CSS":  //--- Counter-Strike Source
    require_once "CGame_CSS.php";
    $game = new CGame_CSS($server_ip,$query_port);
    break;
  case "DoD":  //--- Day of Defeat
    require_once "CGame_DoD.php";
    $game = new CGame_DoD($server_ip,$query_port);
    break;
  case "MoHAA":  //--- Medal of Honor
    require_once "CGame_MoHAA.php";
    $game = new CGame_MoHAA($server_ip,$query_port);
    break;
  case "UT2004":  //--- Unreal Tournament 2004
    require_once "CGame_UT2004.php";
    $game = new CGame_UT2004($server_ip,$query_port);
    break;
  case "UT3":  //--- Unreal Tournament 3
    require_once "CGame_UT3.php";
    $game = new CGame_UT3($server_ip,$query_port);
    break;
  case "HL":  //--- Halflife
    require_once "CGame_HL.php";
    $game = new CGame_HL($server_ip,$query_port);
    break;
  case "HL2":  //--- Halflife2
    require_once "CGame_HL2.php";
    $game = new CGame_HL2($server_ip,$query_port);
    break;
  case "Q3A":  //--- Quake III Arena
    require_once "CGame_Q3A.php";
    $game = new CGame_Q3A($server_ip,$query_port);
    break;
}

opentable("Gamestate");

//--- Create Viewer
if (isset($game)) {
  $Viewer = new CGame_Viewer($game);
  echo $Viewer->Get_GameServerInfo();
} else {
  echo $locale['GSV200'];
}

closetable();

require_once BASEDIR."side_right.php";
require_once BASEDIR."footer.php";
?>