<?php
/*--------------------------------------------+
| PHP-Fusion 6 Content Management System      |
| Copyright  2002 - 2005 Nick Jones          |
| http://www.php-fusion.co.uk/                |
+---------------------------------------------+
| Teamspeak2 Viewer Infusion V2.01 for        |
| PHP-Fusion 6 - Content Management System    |
| author: Makro (Markus Kronier)   2005-2006 |
| web: http://html.makromobil.de              |
| email: makro@makromobil.de                  |
|---------------------------------------------|
| Released under the terms and conditions of  |
| the GNU General Public License (Version 2)  |
+--------------------------------------------*/
require_once "../../maincore.php";
require_once BASEDIR."subheader.php";
require_once BASEDIR."side_left.php";

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."tsviewer_panel/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."tsviewer_panel/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."tsviewer_panel/locale/English.php";
}

require_once(INFUSIONS."tsviewer_panel/tsviewer.php");
$tsviewer->baseDir = INFUSIONS."tsviewer_panel/";
$tsviewer->errors = array("1"=>$locale['TSV201'],"2"=>$locale['TSV202']);

//--- read Server Settings
$sql = "SELECT * FROM ".$db_prefix."tsviewer";
if (isset($tsId)) {
  if (isNum($tsId)) {
    $sql .= " WHERE (tsviewer_id=".$tsId.")";
  }
} else {
  $sql .= " ORDER BY tsviewer_id";
}
$result = dbquery($sql);

if (dbrows($result) > 0) {
  while ($tsv_settings = dbarray($result)) {
    if ($tsv_settings['enabled'] == '1') {
      $tsviewer->tsviewerId        = $tsv_settings['tsviewer_id'];
      $tsviewer->serverIp          = $tsv_settings['server_ip'];
      $tsviewer->queryPort         = $tsv_settings['query_port'];
      $tsviewer->udpPort           = $tsv_settings['udp_port'];
      $tsviewer->LoginName         = $tsv_settings['login_name'];
      $tsviewer->LoginPwd          = $tsv_settings['login_pwd'];
      if ((iMEMBER) && ($tsv_settings['reg_login']=='1') ) {
        if ($userdata['user_name'] != "")
          $tsviewer->LoginName     = $userdata['user_name'];
      }
      $tsviewer->connectLink       = $tsv_settings['show_link'];
      $tsviewer->hideEmptyChannels = $tsv_settings['hide_echannels'];

      //--- Read Server Data
      $tsviewer->ReadServerData();

      //-- Open Panel
      opentable($locale['TSV200']);

      //--- write TS-Viewer HTML-Output
      echo $tsviewer->GetTSViewerHtml();

      //--- Close Sidepanel
      closetable($locale['TSV200']);
    }
  }
}

require_once BASEDIR."side_right.php";
require_once BASEDIR."footer.php";
?>