<?php
/*--------------------------------------------+
| PHP-Fusion 6 Content Management System      |
| Copyright  2002 - 2005 Nick Jones          |
| http://www.php-fusion.co.uk/                |
+---------------------------------------------+
| Teamspeak2 Viewer Infusion V2.01 for        |
| PHP-Fusion 6 - Content Management System    |
| author: Makro (Markus Kronier)        2005 |
| web: http://html.makromobil.de              |
| email: makro@makromobil.de                  |
|---------------------------------------------|
| Released under the terms and conditions of  |
| the GNU General Public License (Version 2)  |
+--------------------------------------------*/

require_once "../../maincore.php";
require_once BASEDIR."subheader.php";
require_once ADMIN."navigation.php";

if (!checkrights("IP")) fallback("../index.php");

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."tsviewer_panel/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."tsviewer_panel/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."tsviewer_panel/locale/English.php";
}

//--- Save TS-Viewer settings
if (isset($_POST['savesettings'])) {
  if (isNum($_POST['tsId'])) {
    $tsId         = $_POST['tsId'];
    $serverip	  = stripinput($_POST['server_ip']);
    $displayname  = stripinput($_POST['display_name']);
    $queryport    = stripinput($_POST['query_port']);
    $udpport      = stripinput($_POST['udp_port']);
    $loginname    = stripinput($_POST['login_name']);
    $loginpwd     = stripinput($_POST['login_pwd']);
    $reglogin     = $_POST['reg_login']; if ($reglogin !='1')  $reglogin='0';
    $showlink     = $_POST['show_link']; if ($showlink !='1')  $showlink='0';
    $hideech      = $_POST['hide_echannels']; if ($hideech !='1') $hideech='0';
    $enabled      = $_POST['enabled'];   if ($enabled !='1')   $enabled='0';
    $spenabled    = $_POST['spenabled']; if ($spenabled !='1') $spenabled='0';

    if ($display_name !="") {
      $result = dbquery("UPDATE ".$db_prefix."tsviewer SET ".
            "server_ip    ='".$serverip."', ".
            "display_name ='".$displayname."', ".
            "query_port   ='".$queryport."', ".
            "udp_port     ='".$udpport."', ".
            "login_name   ='".$loginname."', ".
            "login_pwd    ='".$loginpwd."', ".
            "reg_login    ='".$reglogin."', ".
            "show_link    ='".$showlink."', ".
            "hide_echannels='".$hideech."', ".
            "sp_enabled   ='".$spenabled."', ".
            "enabled      ='".$enabled."' where tsviewer_Id ='".$tsId."'");

      header("Location: tsviewer_panel_admin.php");
    }

  }
}
//--- Set Number of Servers
if (isset($_POST['setservercount'])) {
  if (isNum($_POST['tsservercount'])) {
    $tsCount = $_POST['tsservercount'];
    if (($tsCount > 0) && ($tsCount < 21)) {
      $result = dbquery("DELETE FROM ".$db_prefix."tsviewer WHERE tsviewer_Id > ".$tsCount);
      for ($tsId=1; $tsId <= $tsCount; $tsId++) {
        $result = dbquery("SELECT tsviewer_Id FROM ".$db_prefix."tsviewer WHERE tsviewer_Id='".$tsId."'");
        if (dbrows($result) == 0) {
          $result = dbquery("INSERT INTO ".$db_prefix."tsviewer (tsviewer_Id) VALUES ('".$tsId."')");
        }
      }
    }
  }
  header("Location: tsviewer_panel_admin.php");
}

//--- Insert first Configurationrecord if not exists
$result = dbquery("SELECT tsviewer_Id FROM ".$db_prefix."tsviewer WHERE tsviewer_Id='1'");
if (dbrows($result) == 0) {
  $result = dbquery("INSERT INTO ".$db_prefix."tsviewer (tsviewer_id) VALUES('1')");
}

function IsEnabled($value) {
  if ($value=='0') return "-";
  return "X";
}

function ShowEditLink($tsId, $linktext) {
  return "<a href='".FUSION_SELF."?tsId=".$tsId."'>".$linktext."</a>";
}

opentable($locale['TSV400']);

if (isset($tsId) && isNum($tsId)) {
  //--- Read TS-Viewer settings
  $tsv_settings = dbarray(dbquery("SELECT * FROM ".$db_prefix."tsviewer WHERE tsviewer_Id='".$tsId."'"));

echo "<form name='tsvsettingsform' method='post' action='".FUSION_SELF."'>
        <table width='500' align='center' cellspacing='0' cellpadding='0' class='tbl'>
          <tr>
            <td>
              <table width='100%' cellspacing='0' cellpadding='0' class='tbl'>
                <tr>
                  <td width='40%'>".$locale['TSV402']."</td>
                  <td width='60%'><input type='text' name='server_ip' value='".$tsv_settings['server_ip']."' maxlength='80' class='textbox' /></td>
                </tr>
                <tr>
                  <td width='40%'>".$locale['TSV413']."</td>
                  <td width='60%'><input type='text' name='display_name' value='".$tsv_settings['display_name']."' maxlength='80' class='textbox' /></td>
                </tr>
                <tr>
                  <td width='40%'>".$locale['TSV411']."</td>
                  <td width='60%'>";
                  if ($tsv_settings['enabled'] == '1')
                    echo "<input type='checkbox' name='enabled' value='1' checked='checked' class='textbox' />";
                  else
                    echo "<input type='checkbox' name='enabled' value='1' class='textbox' />";
                  echo "</td>
                </tr>
                <tr>
                  <td width='40%'>".$locale['TSV414']."</td>
                  <td width='60%'>";
                  if ($tsv_settings['sp_enabled'] == '1')
                    echo "<input type='checkbox' name='spenabled' value='1' checked='checked' class='textbox' />";
                  else
                    echo "<input type='checkbox' name='spenabled' value='1' class='textbox' />";
                  echo "</td>
                </tr>
                <tr>
                  <td width='40%'>".$locale['TSV403']."</td>
                  <td width='60%'><input type='text' name='query_port' value='".$tsv_settings['query_port']."' maxlength='10' class='textbox' /></td>
                </tr>
                <tr>
                  <td width='40%'>".$locale['TSV404']."</td>
                  <td width='60%'><input type='text' name='udp_port' value='".$tsv_settings['udp_port']."' maxlength='10' class='textbox' /></td>
                </tr>
                <tr>
                  <td width='40%'>".$locale['TSV405']."</td>
                  <td width='60%'><input type='text' name='login_name' value='".$tsv_settings['login_name']."' maxlength='20' class='textbox' /></td>
                </tr>
                <tr>
                  <td width='40%'>".$locale['TSV406']."</td>
                  <td width='60%'><input type='text' name='login_pwd' value='".$tsv_settings['login_pwd']."' maxlength='20' class='textbox' /></td>
                </tr>
                <tr>
                  <td width='40%'>".$locale['TSV408']."</td>
                  <td width='60%'>";
                  if ($tsv_settings['reg_login'] == '1')
                    echo "<input type='checkbox' name='reg_login' value='1' checked='checked' class='textbox' />";
                  else
                    echo "<input type='checkbox' name='reg_login' value='1' class='textbox' />";
                  echo "</td>
                </tr>
                <tr>
                  <td width='40%'>".$locale['TSV407']."</td>
                  <td width='60%'>";
                  if ($tsv_settings['show_link'] == '1')
                    echo "<input type='checkbox' name='show_link' value='1' checked='checked' class='textbox' />";
                  else
                    echo "<input type='checkbox' name='show_link' value='1' class='textbox' />";
                  echo "</td>
                </tr>
                <tr>
                  <td width='40%'>".$locale['TSV410']."</td>
                  <td width='60%'>";
                  if ($tsv_settings['hide_echannels'] == '1')
                    echo "<input type='checkbox' name='hide_echannels' value='1' checked='checked' class='textbox' />";
                  else
                    echo "<input type='checkbox' name='hide_echannels' value='1' class='textbox' />";
                  echo "</td>
                </tr>
              </table>
            </td>
          </tr>
          <tr>
            <td align='center'><br>".$locale['TSV409'].$tsv_settings['tsviewer_id']."<br>
              <input type='submit' name='savesettings' value='".$locale['TSV700']."' class='button' />
              <input type='hidden' name='tsId' value='".$tsId."' />
            </td>
          </tr>
        </table>
      </form>";
}

$tsCount = 1;

//--- Insert first Configurationrecord if not exists
$result = dbquery("SELECT * FROM ".$db_prefix."tsviewer ORDER BY tsviewer_Id");
if (dbrows($result) > 0) {
  echo "<table class='tbl'>";
  echo "<tr>".
         "<td class='tbl2'>".$locale['TSV412']."</td>".
         "<td class='tbl2'>".$locale['TSV411']."</td>".
         "<td class='tbl2'>".$locale['TSV414']."</td>".
         "<td class='tbl2'>".$locale['TSV413']."</td>".
         "<td class='tbl2'>".$locale['TSV402']."</td>".
         "<td class='tbl2'>".$locale['TSV403']."</td>".
         "<td class='tbl2'>".$locale['TSV404']."</td>".
         "<td class='tbl2'>".$locale['TSV405']."</td>".
         "<td class='tbl2'>".$locale['TSV406']."</td>".
         "<td class='tbl2'>".$locale['TSV408']."</td>".
         "<td class='tbl2'>".$locale['TSV407']."</td>".
         "<td class='tbl2'>".$locale['TSV410']."</td>".
         "<td class='tbl2'>&nbsp;&nbsp;</td>".
         "</tr>";

  while ($tsv_settings = dbarray($result)) {
    $tsCount = $tsv_settings['tsviewer_id'];
    echo "<tr>".
         "<td class='tbl1'>".$tsv_settings['tsviewer_id']."</td>".
         "<td class='tbl1'>".IsEnabled($tsv_settings['enabled'])."</td>".
         "<td class='tbl1'>".IsEnabled($tsv_settings['sp_enabled'])."</td>".
         "<td class='tbl1'>".$tsv_settings['display_name']."</td>".
         "<td class='tbl1'>".$tsv_settings['server_ip']."</td>".
         "<td class='tbl1'>".$tsv_settings['query_port']."</td>".
         "<td class='tbl1'>".$tsv_settings['udp_port']."</td>".
         "<td class='tbl1'>".$tsv_settings['login_name']."</td>".
         "<td class='tbl1'>".$tsv_settings['login_pwd']."</td>".
         "<td class='tbl1'>".IsEnabled($tsv_settings['reg_login'])."</td>".
         "<td class='tbl1'>".IsEnabled($tsv_settings['show_link'])."</td>".
         "<td class='tbl1'>".IsEnabled($tsv_settings['hide_echannels'])."</td>".
         "<td class='tbl1'>".ShowEditLink($tsCount,$locale['TSV520'])."</td>".
         "</tr>";
  }
  echo "</table>\n";
}

echo "<form name='tsvservercountform' method='post' action='".FUSION_SELF."'>
        <table align='left' class='tbl'>
          <tr>
            <td>".$locale['TSV602']."&nbsp;</td>
            <td>
              <input type='text' name='tsservercount' value='".$tsCount."' size='3' maxlength='2' />
            </td>
          </tr>
          <!--
          <tr>
            <td>".$locale['TSV603']."&nbsp;</td>
            <td>
              <input type='text' name='listmodus' value='".$tsv_settings['disp_modus']."' size='3' maxlength='1' />
            </td>
          </tr>
          -->
          <tr>
            <td></td>
            <td>
              <input type='submit' name='setservercount' value='".$locale['TSV700']."' class='button' />
            </td>
          </tr>
        </table>
      </form>";

closetable();

echo "</td>\n";
require_once BASEDIR."footer.php";
?>